On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the subscription.
The media type. Required for operations with a request body. The value is application/<format>, where the format is json.
The server stores keys for 72 hours.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api-m.paypal.com/v1/billing/v1/billing/subscriptions/string/capture" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{ "note": "string", "capture_type": "OUTSTANDING_BALANCE", "amount": { "currency_code": "str", "value": "string" } }'{
"status": "COMPLETED",
"id": "string",
"amount_with_breakdown": {
"gross_amount": {
"currency_code": "str",
"value": "string"
},
"total_item_amount": {
"currency_code": "str",
"value": "string"
},
"fee_amount": {
"currency_code": "str",
"value": "string"
},
"shipping_amount": {
"currency_code": "str",
"value": "string"
},
"tax_amount": {
"currency_code": "str",
"value": "string"
},
"net_amount": {
"currency_code": "str",
"value": "string"
}
},
"payer_name": {
"prefix": "string",
"given_name": "string",
"surname": "string",
"middle_name": "string",
"suffix": "string",
"full_name": "string"
},
"payer_email": "string",
"time": "stringstringstringst"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "MISSING_REQUEST_BODY",
"description": "Request body is missing."
}
]
}{
"name": "AUTHENTICATION_FAILURE",
"message": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_ACCOUNT_STATUS",
"description": "Account validations failed for the user."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_RESOURCE_ID",
"description": "Specified resource ID does not exist. Please check the resource ID and try again."
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "USER_ACCOUNT_CLOSED",
"description": "User account locked or closed."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}The reason or note for the subscription charge.
^.*$1 <= length <= 128The type of capture.
^[A-Z_]+$1 <= length <= 24"OUTSTANDING_BALANCE"The amount of the outstanding balance. This value cannot be greater than the current outstanding balance amount.